import javax.swing.*;

public class PersonPanel extends JPanel {
    private PersonLeftPanel leftPanel = new PersonLeftPanel();
    private PersonRightPanel rightPanel = new PersonRightPanel();

    public PersonPanel() {
        setLayout(new BoxLayout(this, BoxLayout.LINE_AXIS));
        add(leftPanel);
        add(rightPanel);
    }

    public void setRightContentText(String rightContentText) {
        this.rightPanel.setContentText(rightContentText);
    }

    public PersonLeftPanel getLeftPanel() {
        return leftPanel;
    }

    public PersonRightPanel getRightPanel() {
        return rightPanel;
    }
}
